require 'time'

module Extant::Coercers
  class Time < Base
    def coerce
      if value.is_a?(::Time)
        self.coerced = true
        return value
      end

      result = ::Time.parse(value.to_s)
      self.coerced = true
      result
    rescue ArgumentError
      UncoercedValue
    end
  end
end
