module Extant::Coercers
  class Uuid < Base
    UUID_REGEX = /\A[\da-f]{8}-([\da-f]{4}-){3}[\da-f]{12}\z/i

    def coerce
      if value.to_s =~ UUID_REGEX
        self.coerced = true
        value.to_s
      else
        UncoercedValue
      end
    end
  end
end
