module Extant::Coercers
  class Symbol < Base
    def coerce
      return UncoercedValue if value == nil

      if value.is_a?(::String)
        result = value.to_sym
      elsif value.is_a?(::Symbol)
        result = value
      else
        raise ArgumentError
      end

      self.coerced = true
      result
    rescue ArgumentError
      UncoercedValue
    end
  end
end
